Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Manager/HeartbeatManager.cs	(revision 6721)
@@ -71,9 +71,9 @@
 
     // returns true if assignment was successful
-    private bool AssignJob(Slave slave, Job job) {
+    private bool AssignJob(Slave slave, Task job) {
       // load job again and check if it is still available (this is an attempt to reduce the race condition which causes multiple heartbeats to get the same job assigned)
-      if (dao.GetJob(job.Id).State != JobState.Waiting) return false;
+      if (dao.GetJob(job.Id).State != TaskState.Waiting) return false;
 
-      job = dao.UpdateJobState(job.Id, DataAccess.JobState.Transferring, slave.Id, null, null);
+      job = dao.UpdateJobState(job.Id, DataAccess.TaskState.Transferring, slave.Id, null, null);
 
       // from now on the job has some time to send the next heartbeat (ApplicationConstants.TransferringJobHeartbeatTimeout)
@@ -98,5 +98,5 @@
         // process the jobProgresses
         foreach (var jobProgress in heartbeat.JobProgress) {
-          Job curJob = dao.GetJob(jobProgress.Key);
+          Task curJob = dao.GetJob(jobProgress.Key);
           if (curJob == null) {
             // job does not exist in db
@@ -135,5 +135,5 @@
     }
 
-    private bool JobIsAllowedToBeCalculatedBySlave(Guid slaveId, Job curJob) {
+    private bool JobIsAllowedToBeCalculatedBySlave(Guid slaveId, Task curJob) {
       var assignedResourceIds = dao.GetAssignedResources(curJob.Id).Select(x => x.Id);
       var slaveResourceIds = dao.GetParentResources(slaveId).Select(x => x.Id);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/MessageContainer.cs	(revision 6721)
@@ -28,5 +28,5 @@
   /// <summary>
   /// The MessageContainer is a container class for Messages. Its two parts are:
-  /// the actual message itself and the JobId, refered by the message
+  /// the actual message itself and the TaskId, refered by the message
   /// </summary>
   [StorableClass]
@@ -56,5 +56,5 @@
     [Storable]
     [DataMember]
-    public Guid JobId { get; set; }
+    public Guid TaskId { get; set; }
 
     [StorableConstructor]
@@ -63,14 +63,14 @@
     public MessageContainer(MessageType message) {
       Message = message;
-      JobId = Guid.Empty;
+      TaskId = Guid.Empty;
     }
     public MessageContainer(MessageType message, Guid jobId) {
       Message = message;
-      JobId = jobId;
+      TaskId = jobId;
     }
     protected MessageContainer(MessageContainer original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
       this.Message = original.Message;
-      this.JobId = original.JobId;
+      this.TaskId = original.TaskId;
     }
     public virtual IDeepCloneable Clone(Cloner cloner) {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/ServiceContracts/IHiveService.cs	(revision 6721)
@@ -33,32 +33,32 @@
     #region Job Methods
     [OperationContract]
-    Guid AddJob(Job job, JobData jobData, IEnumerable<Guid> resourceIds);
-
-    [OperationContract]
-    Guid AddChildJob(Guid parentJobId, Job job, JobData jobData);
-
-    [OperationContract]
-    Job GetJob(Guid jobId);
-
-    [OperationContract]
-    IEnumerable<Job> GetJobs();
-
-    [OperationContract]
-    IEnumerable<LightweightJob> GetLightweightJobs(IEnumerable<Guid> jobIds);
-
-    [OperationContract]
-    IEnumerable<LightweightJob> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent);
-
-    [OperationContract]
-    IEnumerable<LightweightJob> GetLightweightExperimentJobs(Guid experimentId);
-
-    [OperationContract]
-    JobData GetJobData(Guid jobId);
-
-    [OperationContract]
-    void UpdateJob(Job jobDto);
-
-    [OperationContract]
-    void UpdateJobData(Job jobDto, JobData jobDataDto);
+    Guid AddJob(Task job, TaskData jobData, IEnumerable<Guid> resourceIds);
+
+    [OperationContract]
+    Guid AddChildJob(Guid parentJobId, Task job, TaskData jobData);
+
+    [OperationContract]
+    Task GetJob(Guid jobId);
+
+    [OperationContract]
+    IEnumerable<Task> GetJobs();
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightJobs(IEnumerable<Guid> jobIds);
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent);
+
+    [OperationContract]
+    IEnumerable<LightweightTask> GetLightweightExperimentJobs(Guid experimentId);
+
+    [OperationContract]
+    TaskData GetJobData(Guid jobId);
+
+    [OperationContract]
+    void UpdateJob(Task jobDto);
+
+    [OperationContract]
+    void UpdateJobData(Task jobDto, TaskData jobDataDto);
 
     [OperationContract]
@@ -69,5 +69,5 @@
 
     [OperationContract]
-    Job UpdateJobState(Guid jobId, JobState jobState, Guid? slaveId, Guid? userId, string exception);
+    Task UpdateJobState(Guid jobId, TaskState jobState, Guid? slaveId, Guid? userId, string exception);
     #endregion
 
@@ -194,5 +194,5 @@
 
     [OperationContract]
-    IEnumerable<Job> GetJobsByResourceId(Guid resourceId);
+    IEnumerable<Task> GetJobsByResourceId(Guid resourceId);
 
     [OperationContract]
